uses GeoQuackSync_Ins;

function InstallWork: String;
var MakroPath : String;
begin

  MakroPath := ReplaceString(Geoget_ScriptFullName, Geoget_ScriptName, '');

  // show ChangeLog
  InsForm_mem_ChangeLog.Lines.Clear;
  if FileExists(MakroPath + 'ChangeLog.txt') then begin
    InsForm_mem_ChangeLog.Lines.Add(FileToString(MakroPath + 'ChangeLog.txt'));
  end;
  InsForm_lbl_PlgVerPrvValue.Caption := GeoGetPackagePreviousVersion(MakroPath + 'GeoQuackSync.meta.ini');
  InsForm_lbl_PlgVerCurValue.Caption := GeoGetPackageVersion        (MakroPath + 'GeoQuackSync.meta.ini');
  InsForm.ShowModal;

  // v ini prepise klic 'db_LastDownload' - zmena typu klice (pokud je puvodni verze < 0.1.0)
  if CompareVer('0.1.0', GeoGetPackagePreviousVersion(MakroPath + 'GeoQuackSync.meta.ini')) then  begin 
    SaveIniFloatValue('DEFAULT', 'db_LastDownload', (LoadIniIntValue('DEFAULT', 'db_LastDownload', Trunc(now)) + 0.5));                                
  end;

  Result :='';  // probehlo bez chyby
end;

function UninstallWork: string;
begin
  Result :='';  // probehlo bez chyby             
end;
