//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Update database GG Settings}
procedure form_ShowUpd_db_GG_Set_Form(Sender: TObject);
begin
  UpdGGForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Update database GQ Settings}
procedure form_ShowUpd_db_GQ_Set_Form(Sender: TObject);
begin
  UpdGQForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Settings}
procedure form_ShowSetForm(Sender: TObject);
begin
  if SetForm.ShowModal = 1 then begin
    // Ulozeni aktualni konfigurace do aktualniho profilu
    SaveIniSetForm('DEFAULT');
    CheckUpdate;  // aktualizuje objekty formulare souvisejici s aktualizaci
  end
  else begin
    ReadIniSetForm('DEFAULT');
  end;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Log}
procedure form_ShowLogForm(Sender: TObject);
begin
  LogFill;
  LogForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi Help}
procedure form_Help(Sender: TObject);
begin
  RunShell('http://geoget.ararat.cz/doku.php/user:skript:geoquacksync');
end;
//===============================================================================================================================
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - kontrola jmena databaze PDA}
procedure form_dbCheck(Sender: TObject);
var script : string;
begin
  script := RegexReplace('[^\w]',Trim(GQSForm_cmb_db_GQ_CustomName.Text), '_', False);
  if script = '' Then script := 'cachedb_bak';
  GQSForm_cmb_db_GQ_CustomName.Text := script;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - kontrola hodnoty TrkDistToTrim}
procedure form_TrkDistToTrimChanged(Sender: TObject);
begin
  if RegexExtract('\d*', TrkDivideForm_ed_DistToTrim.Text) <> TrkDivideForm_ed_DistToTrim.Text then begin
    ShowMessage('Enter valid value! (0-999)');
    TrkDivideForm_ed_DistToTrim.Text := '10';
  end;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - nacteni registru PDA}
procedure form_ReadGQini(Sender: TObject);
begin
  ReadGQini(True, True);
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - zobrazi offline nastaveni z GeoQuack - GeoQuack.ini}
procedure form_ViewGQini(Sender: TObject);
begin
  GQSetForm_mem_Ini.Lines.Clear;
  if FileExists(MakroPath + 'Data\GeoQuack.ini') then begin
    GQSetForm_mem_Ini.Lines.Add(FileToString(MakroPath + 'Data\GeoQuack.ini'));
  end
  else begin
    GQSetForm_mem_Ini.Lines.Add(_(';### Ini file not found or is empty ###'));
  end;
  if GQSetForm.ShowModal = 1 then StringToFile(GQSetForm_mem_Ini.Text, MakroPath + 'Data\GeoQuack.ini');
end;
//===============================================================================================================================
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - rizeni Enbl/Dsbl prvku formulare}
procedure form_DsblEnbl(Sender: TObject);
begin
  GQSForm_rb_db_GQ_Default         .Enabled := not GQSForm_rb_Offline      .Checked;
  GQSForm_rb_db_GQ_Custom          .Enabled := not GQSForm_rb_Offline      .Checked;
  GQSForm_cmb_db_GQ_CustomName     .Enabled := not GQSForm_rb_Offline      .Checked and     GQSForm_rb_db_GQ_Custom     .Checked;
  GQSForm_btn_dbSeek               .Enabled := not GQSForm_rb_Offline      .Checked and     GQSForm_rb_db_GQ_Custom     .Checked;

  GQSForm_btn_ReadGQini            .Enabled :=     GQSForm_rb_CardReader   .Checked;
  GQSForm_ed_GQ_disc               .Enabled :=     GQSForm_rb_CardReader   .Checked;
  GQSForm_ed_GQ_IniFile            .Enabled :=     GQSForm_rb_CardReader   .Checked;
  GQSForm_btn_SelDisc              .Enabled :=     GQSForm_rb_CardReader   .Checked;

  GQSForm_cb_Upd_db_GG             .Enabled := not GQSForm_rb_Offline      .Checked;
  UpdGGForm_cb_Upd_FieldNotes      .Enabled := not GQSForm_rb_Offline      .Checked;
  UpdGGForm_cb_Upd_Tracks          .Enabled := not GQSForm_rb_Offline      .Checked;
  GQSForm_cb_Upd_db_GQ             .Enabled := not GQSForm_rb_Offline      .Checked;
  GQSForm_cb_Sync_Img              .Enabled := not GQSForm_rb_Offline      .Checked;
  GQSForm_cb_Sync_Attach           .Enabled := not GQSForm_rb_Offline      .Checked;

  UpdGGForm_cb_Save_db_GQ          .Enabled :=                                          not GQSForm_rb_Offline          .Checked;
  GQSForm_dt_db_LastUpdate_Date    .Enabled := GQSForm_cb_Upd_db_GG        .Checked and not GQSForm_rb_Offline          .Checked;
  GQSForm_dt_db_LastUpdate_Time    .Enabled := GQSForm_cb_Upd_db_GG        .Checked and not GQSForm_rb_Offline          .Checked;
  GQSForm_lbl_db_LastUpdate        .Enabled := GQSForm_cb_Upd_db_GG        .Checked and not GQSForm_rb_Offline          .Checked;

  GQSForm_dt_FN_LastUpdate_Date    .Enabled := GQSForm_cb_Gen_FieldNotes_GG.Checked;
  GQSForm_dt_FN_LastUpdate_Time    .Enabled := GQSForm_cb_Gen_FieldNotes_GG.Checked;
  GQSForm_lbl_FN_LastUpdate        .Enabled := GQSForm_cb_Gen_FieldNotes_GG.Checked;

  GQSForm_rb_Upl_FieldNotes_GG     .Enabled := GQSForm_cb_Upl_FieldNotes   .Checked;
  GQSForm_rb_Upl_FieldNotes_GQ     .Enabled := GQSForm_cb_Upl_FieldNotes   .Checked;

  UpdGGForm_cb_Del_FieldNotes      .Enabled := UpdGGForm_cb_Upd_FieldNotes .Checked and     UpdGGForm_cb_Upd_FieldNotes   .Enabled;
  UpdGGForm_cb_Del_Tracks          .Enabled := UpdGGForm_cb_Upd_Tracks     .Checked and     UpdGGForm_cb_Upd_Tracks       .Enabled;

  GQSForm_cb_ImportGpx             .Enabled := GQSForm_rb_FTP              .Checked;
  GQSForm_rb_ImportGpx_GC          .Enabled := GQSForm_cb_ImportGpx        .Checked and     GQSForm_cb_ImportGpx        .Enabled;
  GQSForm_rb_ImportGpx_List        .Enabled := GQSForm_cb_ImportGpx        .Checked and     GQSForm_cb_ImportGpx        .Enabled;
  GQSForm_ed_ImportGpxID           .Enabled := GQSForm_rb_ImportGpx_GC     .Checked and     GQSForm_rb_ImportGpx_GC     .Enabled;

  GQSForm_btn_Map                  .Enabled := not GQSForm_rb_FTP          .Checked;

  // TrkForm
  TrkDivideForm_dt_TimeToTrim .Enabled :=  TrkDivideForm_cb_TimeToTrimEnbl .Checked;
  TrkDivideForm_ed_DistToTrim .Enabled :=  TrkDivideForm_cb_TrackToTrimEnbl.Checked;
  TrkDivideForm_lb_km         .Enabled :=  TrkDivideForm_cb_TrackToTrimEnbl.Checked;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{nastaveni ovladacu udalosti formulare}
procedure FormEventSet;
begin
  GQSForm_btn_PDA_PC          .onClick  := @form_PDA_PC;
  GQSForm_btn_PC_Web          .onClick  := @form_PC_Web;
  GQSForm_btn_PC_PDA          .onClick  := @form_PC_PDA;
  GQSForm_btn_Web_PDA         .onClick  := @form_Web_PDA;
  GQSForm_btn_All             .onClick  := @form_All;
  GQSForm_btn_Update          .onClick  := @form_Update;
  GQSForm_btn_Save            .onClick  := @form_SaveProfile;
  GQSForm_btn_Del             .onClick  := @form_DelProfile;
  GQSForm_btn_Default         .onClick  := @form_ReadFactoryProfile;
  GQSForm_btn_dbSeek          .onClick  := @form_dbSeek;
  GQSForm_btn_Settings        .onClick  := @form_ShowSetForm;
  GQSForm_btn_Help            .onClick  := @form_Help;
  GQSForm_btn_Upd_db_GG_Set   .onClick  := @form_ShowUpd_db_GG_Set_Form;
  GQSForm_btn_Upd_db_GQ_Set   .onClick  := @form_ShowUpd_db_GQ_Set_Form;
  GQSForm_btn_Log             .onClick  := @form_ShowLogForm;
  GQSForm_btn_Trk             .onClick  := @form_ShowTrkForm;
  GQSForm_btn_Map             .onClick  := @form_ShowMapForm;
  GQSForm_btn_SelDisc         .onClick  := @form_CardPath;
  GQSForm_btn_ReadGQini       .onClick  := @form_ReadGQini;
  GQSForm_btn_ViewGQini       .onClick  := @form_ViewGQini;
  MapForm_btn_Refresh         .onClick  := @form_MapConfDbRefr;
  MapForm_btn_SelDisc         .onClick  := @form_CardPath;
  MapForm_btn_SelOziPath      .onClick  := @form_OziPath;
  MapForm_btn_SelMobacPath    .onClick  := @form_MobacPath;
  MapForm_btn_ImpOzi          .onClick  := @form_MapImpOzi;
  MapForm_btn_ImpMobac        .onClick  := @form_MapImpMobac;
  MapForm_btn_ImpGeoKuk       .onClick  := @form_MapImpGeoKuk;
  MapForm_btn_Stop            .onClick  := @form_MapStop;
  MapForm_btn_Manage          .onClick  := @form_MapManage;
  MapForm_btn_Delete          .onClick  := @form_MapDelete;
  MapForm_lb_Map              .onClick  := @form_MapSel;
  MapForm_lb_MapType          .onClick  := @form_MapTypeSel;
  MapForm_cb_ShowInfo         .onClick  := @form_GetMapInfo;
  MapMngForm_btn_Stop         .onClick  := @form_MapStop;
  MapMngForm_btn_Refresh      .onClick  := @form_GetMapRegionInfo;
  TrkForm_btn_Divide          .onClick  := @form_ShowTrkDivideForm;
  TrkForm_btn_Preview         .onClick  := @form_TrkView;
  TrkForm_btn_Save            .onClick  := @form_TrkSave;
  TrkForm_btn_Delete          .onClick  := @form_TrkDelete;
  TrkForm_btn_Combine         .onClick  := @form_TrkCombine;
  TrkForm_btn_Refresh         .onClick  := @form_TrkRead;
  TrkForm_btn_ArrName_Dwn     .onClick  := @form_TrkArrName;
  TrkForm_btn_ArrDate_Up      .onClick  := @form_TrkRead;
  TrkForm_btn_ArrDate_Dwn     .onClick  := @form_TrkRead;
  TrkForm_btn_ArrID_Up        .onClick  := @form_TrkRead;
  TrkForm_btn_ArrID_Dwn       .onClick  := @form_TrkRead;
  TrkForm_btn_Upload          .onClick  := @form_TrkUpload;
  TrkForm_btn_Download        .onClick  := @form_TrkDownload;
  TrkForm_btn_Rename          .onClick  := @form_TrkRename;
  TrkForm_btn_New             .onClick  := @form_TrkNew;
  TrkForm_btn_Trip            .onClick  := @form_TrkTrip;
  TrkForm_lb_Track            .onClick  := @form_TrkInfo;
  TrkDivideForm_ed_DistToTrim .onChange := @form_TrkDistToTrimChanged;
  LogForm_btn_Delete          .onClick  := @form_DeleteLog;
  GQSForm_cmb_Profile         .onChange := @form_ProfileChanged;
  GQSForm_cmb_db_GQ_CustomName.onChange := @form_dbCheck;
  SetForm_cb_ToolBar          .onClick  := @form_ToolBar;
  
  GQSForm_rb_FTP              .OnClick  := @form_DsblEnbl;
  GQSForm_rb_CardReader       .OnClick  := @form_DsblEnbl;
  GQSForm_rb_Offline          .OnClick  := @form_DsblEnbl;
  GQSForm_rb_db_GQ_Default    .OnClick  := @form_DsblEnbl;
  GQSForm_rb_db_GQ_Custom     .OnClick  := @form_DsblEnbl;
  GQSForm_cb_Upd_db_GG        .OnClick  := @form_DsblEnbl;
  GQSForm_cb_Upd_db_GQ        .OnClick  := @form_DsblEnbl;
  GQSForm_cb_Gen_FieldNotes_GG.OnClick  := @form_DsblEnbl;
  UpdGGForm_cb_Upd_FieldNotes .OnClick  := @form_DsblEnbl;
  GQSForm_cb_Upl_FieldNotes   .OnClick  := @form_DsblEnbl;
  UpdGGForm_cb_Upd_Tracks     .OnClick  := @form_DsblEnbl;
  GQSForm_cb_Upd_db_GQ        .OnClick  := @form_DsblEnbl;
  GQSForm_cb_ImportGpx        .OnClick  := @form_DsblEnbl;
  GQSForm_rb_ImportGpx_GC     .OnClick  := @form_DsblEnbl;
  GQSForm_rb_ImportGpx_List   .OnClick  := @form_DsblEnbl;
  EndForm_cb_ShowList_ggf     .OnClick  := @form_DsblEnbl;
  TrkDivideForm_cb_TimeToTrimEnbl .OnClick := @form_DsblEnbl;
  TrkDivideForm_cb_TrackToTrimEnbl.OnClick := @form_DsblEnbl;
end;
